Subject: Re: bug#4685: 23.1; vc-rcs doesn't recognize status when checkin-switch -l

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 9 Oct 2009 11:25:01 -0700 (PDT)

Evangelos Evangelou <[email-masked]> writes:

  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list,
  > and to the gnu.emacs.bug news group.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug:
  > 
  > It seems that emacs doesn't recognize the vc-status of the file when I
  > set the variable vc-rcs-checkin-switches to "-l". The first time I
  > execute vc-next-action for checking in the file is checked in and then
  > checked out automatically because of the "-l" switch. The %% are not
  > present in the mode line. The second time I run vc-next-action it
  > attempts to run co instead of ci. On the other hand, running
  > vc-next-action through vc-dir doesn't seem to have a problem. I only
  > observed this in emacs 23; emacs 22 is also working as expected.

I think that if you want to add -l to vc-rcs-checkin-switches, you also
need to do 

rcs -U 

on all your RCS files.  That way things are consistent and VC can figure
out what to do.